[B047] Drug xdc
Obtain drug xdc about targeting moiety, payload, linker etc.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
Required | string | 002ff1c130254b02983a9282528b4d1c | Drug ID, obtain this through the drug search interface or drug autocomplete interface |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
dar | string | 3-4 | DAR |
linker | object | {
"display_name": [
{
"lang": "CN",
"name": "Sulfo-SPDB"
},
{
"lang": "EN",
"name": "Sulfo-SPDB"
}
],
"normalized_id": "ac9d4994e1a84c378d7eaf8ac3cf0c7f"
} | Linker |
display_name | array | [
{
"lang": "EN",
"name": "Autologous CAR-T"
},
{
"lang": "CN",
"name": "自体CAR-T"
}
] | Dict Name |
lang | string | EN | Language |
name | string | Ranibizumab (Genentech) | Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name |
normalized_id | string | 2fbfdb3e92d942c48cbb0adb79f23526 | Dict ID |
payload | object | {
"display_name": [
{
"lang": "CN",
"name": "美登素DM4"
},
{
"lang": "EN",
"name": "Maytansinoid DM4"
}
],
"normalized_id": "16857e29dd494e9a8b82e0ff562a6816"
} | Payload |
antibody_type | object | {
"display_name": [
{
"lang": "CN",
"name": "IgG1 - kappa"
},
{
"lang": "EN",
"name": "IgG1 - kappa"
}
],
"normalized_id": "6cc2f1725abc4c479b30ba000ee17b35"
} | Antibody Type |
conjugation_site | object | {
"display_name": [
{
"lang": "CN",
"name": "半胱氨酸"
},
{
"lang": "EN",
"name": "cysteinyl"
}
],
"normalized_id": "ecb212ef756c45c78ad87f77468daa87"
} | Conjugation Site |
targeting_moiety | object | [
{
"drug_id": "79c4211933534056b4a84db1766df362",
"display_name": [
{
"lang": "EN",
"name": "Osimertinib mesylate"
},
{
"lang": "CN",
"name": "甲磺酸奥希替尼"
}
]
}
] | Targeting Moiety |
drug_id | string | e82b83b42eba4e5ea3f26f8e06081a5a | Drug ID |
display_name | array | [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
},
{
"lang": "CN",
"name": "雷珠单抗"
}
] | Drug Name, Referencing "CommonName" |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"dar": "3-4",
"linker": {
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
},
"payload": {
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
},
"antibody_type": {
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
},
"conjugation_site": {
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
},
"targeting_moiety": {
"drug_id": "e82b83b42eba4e5ea3f26f8e06081a5a",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
}
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms